NSX-T Data Center REST API

Get statistics for all runtimes associated with this PolicyServiceInstance

Get statistics for all data NICs on all runtimes associated with this PolicyServiceInstance.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/tier-0s/{tier-0-id}/locale-services/{locale-service-id}/service-instances/{service-instance-id}/statistics
Request Headers:
n/a
Query Parameters:
PolicySIEnforcementPointRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1//infra/tier-0s/default/locale-services/default/service-instances/PSI_1/statistics

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyServiceInstanceStatistics+

Example Response:

{ "service_instance_id": "/infra/tier-0s/pepsi/locale-services/1-policyconnectivity-313/service-instances/PSI-1", "enforcement_point_path": "/infra/sites/default/enforcement-points/default", "instance_runtime_statistics": [ { "runtime_id": "5cee6445-c62a-43bc-b3c9-2fb11f48b301", "runtime_name": "ServiceInsertion-NS-33c26724-d628-4f03-a689-33477ec031e9-1", "primary_runtime_stats": true, "interface_statistics": [ { "interface_index": 1, "last_update_timestamp": 1545396650417, "rx_packets": { "multicast_broadcast": 298943512, "total": 301217408 }, "rx_bytes": { "multicast_broadcast": 19379256222, "total": 19515689982 }, "tx_packets": { "multicast_broadcast": 298420856, "dropped": 4820, "total": 299545474 }, "tx_bytes": { "multicast_broadcast": 19348818756, "total": 19416006636 }, "mac_learning": { "macs_learned": 136 } }, { "interface_index": 2, "last_update_timestamp": 1545396650417, "rx_packets": { "multicast_broadcast": 298419043, "total": 299538836 }, "rx_bytes": { "multicast_broadcast": 19348701252, "total": 19415888832 }, "tx_packets": { "multicast_broadcast": 298945259, "dropped": 7715, "total": 301226872 }, "tx_bytes": { "multicast_broadcast": 19379369124, "total": 19515803004 }, "mac_learning": { "macs_learned": 122 } } ] }, { "runtime_id": "fe0a2f86-7d27-41b9-ac52-5459d6bead1e", "runtime_name": "ServiceInsertion-NS-33c26724-d628-4f03-a689-33477ec031e9-2", "primary_runtime_stats": false, "interface_statistics": [ { "interface_index": 2, "last_update_timestamp": 1545396650417, "rx_packets": { "multicast_broadcast": 297799990, "total": 300072079 }, "rx_bytes": { "multicast_broadcast": 19305570996, "total": 19441896336 }, "tx_packets": { "multicast_broadcast": 297227511, "dropped": 19744270, "total": 318084316 }, "tx_bytes": { "multicast_broadcast": 19272225186, "total": 19338977286 }, "mac_learning": { "macs_learned": 114 } }, { "interface_index": 1, "last_update_timestamp": 1545396650417, "rx_packets": { "multicast_broadcast": 297226991, "total": 298339522 }, "rx_bytes": { "multicast_broadcast": 19272191538, "total": 19338943398 }, "tx_packets": { "multicast_broadcast": 297800743, "dropped": 17783194, "total": 317856028 }, "tx_bytes": { "multicast_broadcast": 19305620274, "total": 19441945734 }, "mac_learning": { "macs_learned": 124 } } ] } ] }

Required Permissions:

read

Feature:

policy_si

Additional Errors: